/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/01/2016

This program configures one IO pin (18 in this example) as an INPUT pin 
and reads the state (1 or 0) in a variable "VAR_IN" 

If the input is high - the blue led at pin 13 will be high
If the input is low - the blue led at pin 13 will be low

Look at the Brainbox ARduino PINOUT diagram. 
All the pins with a BLUE marking can be used as digital inputs
(0, 1, 2, 3, 4, 7, 8, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 23)

!!the 4 power output pins CAN NOT BE USED as digital inputs- (5, 6, 9, 10)
*/

// these lines make it possible to use pin names instead of pin numbers
// Constants do not change during the program
const int IN_PIN =  18; 
const int BLUE_LED =  13; 

//this variable named VAR_IN is used to store the state of the input pin
char VAR_IN = 0;

// this setup function runs once when you press reset or power the board
void setup() 
{
  // initialize digital pin as input or output
  pinMode(IN_PIN, INPUT);
  pinMode(BLUE_LED, OUTPUT);
}

// this loop function runs over and over again forever
void loop() 
{
  // read the state of the input pin :
  VAR_IN = digitalRead(IN_PIN);

  // if the input pin is high
  if (VAR_IN == HIGH) {
    // turn LED on:
    digitalWrite(BLUE_LED, HIGH);
  }
  else { // if the input pin is low
    // turn LED off:
    digitalWrite(BLUE_LED, LOW);
 }
}
